import { jsx as _jsx } from "react/jsx-runtime";
import * as codeStyles from 'react-syntax-highlighter/dist/esm/styles/prism';
import { Prism as SyntaxHighlighter } from 'react-syntax-highlighter';
import { useClassName } from '../hooks/className';
export default function (props) {
    const { text, language, codeStyle } = props;
    const codeLookup = codeStyle;
    const style = (codeStyle && codeStyles[codeLookup]) || codeStyles.coldarkCold;
    return (_jsx(SyntaxHighlighter, { className: useClassName(props), PreTag: "div", children: text, language: language, style: style }));
}
