import { FC } from 'react';
import { ClassName } from '../hooks/className';
export interface HeadingProps {
    type: 'Heading';
    /**
     * @TJS-enum [1, 2, 3, 4, 5, 6]
     * @TJS-type integer
     */
    level: 1 | 2 | 3 | 4 | 5 | 6;
    htmlId?: string;
    className?: ClassName;
    text: string;
}
export declare const HeadingComp: FC<HeadingProps>;
