import { FC } from 'react';
import type { FastProps } from './index';
import type { ContextType } from '../hooks/eventContext';
import { ClassName } from '../hooks/className';
import { PageEvent } from '../events';
export interface ModalProps {
    type: 'Modal';
    title: string;
    body: FastProps[];
    footer?: FastProps[];
    openTrigger?: PageEvent;
    openContext?: ContextType;
    className?: ClassName;
}
export declare const ModalComp: FC<ModalProps>;
