import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { useEffect } from 'react';
import { usePageEventListen } from '../events';
export const ModalComp = (props) => {
    const { title, openTrigger, openContext } = props;
    const { eventContext, clear } = usePageEventListen(openTrigger, openContext);
    const open = !!eventContext;
    useEffect(() => {
        if (open) {
            setTimeout(() => {
                alert(`${title}\n\nNote: modals are not implemented by pure FastUI, implement a component for 'ModalProps'.`);
                clear();
            });
        }
    }, [open, title, clear]);
    return _jsx(_Fragment, {});
};
