import { jsx as _jsx } from "react/jsx-runtime";
import { useClassName } from '../hooks/className';
import { useFireEvent } from '../events';
export const ButtonComp = (props) => {
    const { text, onClick, htmlType } = props;
    const { fireEvent } = useFireEvent();
    return (_jsx("button", { className: useClassName(props), type: htmlType, onClick: () => fireEvent(onClick), children: text }));
};
