import { FC, ReactNode } from 'react';
import { ClassName } from '../hooks/className';
import { AnyEvent } from '../events';
import { FastProps } from './index';
export interface LinkProps {
    type: 'Link';
    components: FastProps[];
    mode?: 'navbar' | 'tabs' | 'vertical' | 'pagination';
    active?: boolean | string;
    locked?: boolean;
    onClick?: AnyEvent;
    className?: ClassName;
}
export declare const LinkComp: FC<LinkProps>;
interface LinkRenderProps {
    children: ReactNode;
    locked?: boolean;
    onClick?: AnyEvent;
    className?: string;
    ariaLabel?: string;
}
export declare const LinkRender: FC<LinkRenderProps>;
export {};
