import { ReactNode } from 'react';
export interface LocationState {
    fullPath: string;
    goto: (pushPath: string) => void;
    computeQuery: (queryUpdate: Record<string, string | number | null>) => string;
    setQuery: (queryUpdate: Record<string, string | number | null>) => void;
    gotoCosmetic: (pushPath: string) => void;
    back: () => void;
}
export declare const LocationContext: import("react").Context<LocationState>;
export declare function LocationProvider({ children }: {
    children: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function pathMatch(matchPath: string | boolean | undefined, fullPath: string): boolean;
